Description: Fixes the build failure with the version of ASM in Debian
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: no
Bug-Debian: https://bugs.debian.org/884044
--- a/src/main/java/me/qmx/jitescript/FieldDefinition.java
+++ b/src/main/java/me/qmx/jitescript/FieldDefinition.java
@@ -22,7 +22,7 @@
 
     public FieldNode getFieldNode() {
         FieldNode node = new FieldNode(modifiers, fieldName, signature, null, value);
-        node.visibleAnnotations = new ArrayList<VisibleAnnotation>();
+        node.visibleAnnotations = new ArrayList();
         for (VisibleAnnotation annotation : annotations) {
             node.visibleAnnotations.add(annotation.getNode());
         }
--- a/src/main/java/me/qmx/jitescript/MethodDefinition.java
+++ b/src/main/java/me/qmx/jitescript/MethodDefinition.java
@@ -55,7 +55,7 @@
 
     public MethodNode getMethodNode() {
         MethodNode method = new MethodNode(getModifiers(), getMethodName(), getSignature(), null, null);
-        method.visibleAnnotations = new ArrayList<VisibleAnnotation>();
+        method.visibleAnnotations = new ArrayList();
         method.instructions.add(getMethodBody().getInstructionList());
         for (TryCatchBlockNode tryCatchBlockNode : getMethodBody().getTryCatchBlockList()) {
             method.tryCatchBlocks.add(tryCatchBlockNode);
